thcsyn6(8)

NAME
thcsyn6

SYNOPSIS
thcsyn6 [-aAcdDfrORS] [-i microsecond] [-m dstmac] [-p port] [-s sourceip6] interface target port

OPTIONS
 -i      sending interval of packets (in microseconds)
 -a      add hop-by-hop header with router alert
 -d      add destination header (can be set up to 64 times)
 -f      add atomic fragmentation header (can be set up to 64 times)
 -A      send TCP-ACK packets
 -S      send TCP-SYN-ACK packets
 -r      randomize the source from your /64 prefix
 -R      randomize the source fully
 -D      randomize the destination (treat as /64)
 -O      add a TCP Fast Open cookie (SYN-only packets)
 -m dstmac     use this destination mac address
 -s sourceip6  use this as source IPv6 address
 -p port       use fixed source port
Flood the target port with TCP-SYN packets. If you supply "x" as port, it
is randomized.

AUTHOR
thc-ipv6 was written by van Hauser <vh@thc.org> / THC The homepage for this toolkit is: https://github.com/vanhauser-thc/thc-ipv6

COPYRIGHT
thcsyn6 v3.6 (c) 2019 by van Hauser / THC <vh@thc.org> www.github.com/vanhauser-thc/thc-ipv6